/* Versión electrónica ampliada de los ejemplos para SuperCollider asociados al Libro "Composición algorítmica: Matemáticas y ciencias de la computación en la creación musical" del Dr. Jorge Variego, realizados por su autor con contribuciones de Paul Koonce, Paul Berg, Julian Peterson y del SuperCollider book de Nick Collins.
Un precedente de la idea de uso de las reflexiones iniciales de un recinto para la generación de estructuras temporales (Capítulo 8) se encuentra en el trabajo de Pablo Cetta titulado "Un modelo para la simulación del espacio en Música", Editorial Educa, Buenos Aires, 2010. */

// Sonido con el contenido espectral de la serie del concierto de A.Berg

(

SynthDef(\sines, {|out, gate=1, freq=440|
	var berg = [55, 58, 62, 66, 69, 72, 76, 80, 83, 85, 87, 89];
	var sonidoOut = Mix.fill(12, {|i| SinOsc.ar(berg[i].midicps)});
    Out.ar(out, sonidoOut!2);
}).add;

)

Synth(\sines);